# Update a chaos guard rule

Update a chaos guard rule

Endpoint: PUT /gateway/chaos/manager/api/v3/chaosguard-rules/{identity}
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id to access the resource

  - `correlationID` (string)
    correlation id is used to debug micro svc communication

  - `organizationIdentifier` (string)
    organization id to access the resource

  - `projectIdentifier` (string)
    project id to access the resource

## Path parameters:

  - `identity` (string, required)
    The identifier for the rule

## Request fields (application/json):

  - `conditionIds` (array, required)

  - `description` (string)

  - `isEnabled` (boolean)

  - `name` (string, required)

  - `ruleId` (string, required)

  - `tags` (array)

  - `timeWindows` (array, required)

  - `timeWindows.duration` (string)

  - `timeWindows.endTime` (integer)

  - `timeWindows.recurrence` (object)

  - `timeWindows.recurrence.spec` (object)

  - `timeWindows.recurrence.spec.until` (integer)

  - `timeWindows.recurrence.spec.value` (integer)
    set if recurrenceType is Monthly

  - `timeWindows.recurrence.type` (string, required)
    Enum: "Yearly", "Monthly", "Daily", "Weekly", "None"

  - `timeWindows.startTime` (integer, required)

  - `timeWindows.timeZone` (string, required)

  - `userGroupIds` (array, required)

## Response 200 fields (application/json):

  - `conditionIds` (array, required)

  - `correlationID` (string)

  - `description` (string)

  - `isEnabled` (boolean)

  - `name` (string, required)

  - `ruleId` (string, required)

  - `tags` (array)

  - `timeWindows` (array, required)

  - `userGroupIds` (array, required)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


